<?php
namespace Claromentis\Design;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array();
use Claromentis\Design\Facade\ActiveTheme;
use Claromentis\Design\Model\Theme;
use Claromentis\Design\Style;
interface ThemeStyleInterface
{
    
    
    
    
    
    
    
    public function GetStyle(Style\StorageInterface $storage) : Style\StyleOptionsEditable;
    public function ValidateHomepage(Theme $theme);
    public function GetPreviewUrl(ActiveTheme &$active_theme, Theme $theme) : string;
    
    
    
    
    
    
    public function GetDefaultStyle() : Style\StyleOptionsEditable;
}